Name:           libclaw
Version:        1.6.1
Release:        1%{?dist}
Summary:        C++ Library of various utility functions

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://libclaw.sourceforge.net/
Source0:        http://dl.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         libclaw-1.6.1-nostrip.patch
Patch1:         libclaw-1.6.1-libdir.patch
Patch5:         libclaw-1.5.4-gcc46.patch

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:	gettext-devel

%description
Claw (C++ Library Absolutely Wonderful) is a C++ library of various utility
functions. In doesn't have a particular objective but being useful to
anyone.


%package devel
Summary:        Development files for Claw library
Group:          Development/Libraries
Requires:       libclaw = %{version}-%{release}
Requires:       cmake

%description devel
This package contains files needed to develop and build software against
Claw (C++ Library Absolutely Wonderful).


%prep
%setup -q
%patch0 -p1 -b .nostrip
%patch1 -p1 -b .libdir
%patch5 -p1 -b .gcc46


%build
%cmake .
make %{?_smp_mflags} VERBOSE=1
find examples -type f |
while read F
do
        iconv -f iso8859-1 -t utf-8 $F |sed 's/\r//' >.utf8
        touch -r $F .utf8
        mv .utf8 $F
done


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT VERBOSE=1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%doc %dir %{_datadir}/doc/libclaw1
%doc %{_datadir}/doc/libclaw1/COPYING


%files devel
%defattr(-,root,root,-)
%{_bindir}/claw-config
%{_includedir}/claw
%{_libdir}/*.so
%exclude %{_libdir}/*.a
%{_datadir}/cmake/Modules/FindCLAW.cmake
%doc %{_datadir}/doc/libclaw1
%doc examples


%changelog
* Mon Apr 18 2011 Tom Callaway <spot@fedoraproject.org> - 1.6.1-1
- update to 1.6.1

* Fri Feb 11 2011 Lubomir Rintel <lkundrak@v3.sk> - 1.5.4-7
- Fix Rawhide build

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 1.5.4-5
- Rebuilt for gcc bug 634757

* Sat Sep 18 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5.4-4
- Fix wrong return type of 'claw::log_system::operator<<'
- Fix incorrect return type in basic_socket.

* Fri Oct 23 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.5.4-3
- Really fix the examples encoding

* Fri Oct 02 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.5.4-2
- Merge in changes from Xavier Bachelot's package:
- More sensible Group name
- Fix libdir name for 64bit archs
- Add examples to documentation
- Fix examples encoding
- Let -devel require cmake


* Fri Sep 18 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.5.4-1
- Initial packaging
